/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
  line-height: 1.6;
  background: #fff;
  color: #000;
}

/* Navbar */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #000;
  padding: 1rem 25rem;   /* big padding initially */
  position: fixed;   
  top: 0;          
  left: 0;
  right: 0;
  background: rgba(253, 253, 253, 0.9); 
  border-bottom: 1px solid #000; 
  z-index: 1000;    
  transition: padding 0.4s ease, background 0.4s ease; /* smooth animation */
}

/* When scrolled */
nav.shrink {
  padding: 1rem 30rem;   /* reduced padding */
  background: rgba(253, 253, 253, 0.98); /* optional: slightly less transparent */
}


nav h1 {
  font-size: 2rem;
}

nav ul {
  display: flex;
  list-style: none;
}

nav ul li {
  margin-left: 20px;
}

nav ul li a {
  color: #000;
  font-size: 1rem;
  text-decoration: none;
}

/* Hero */
.hero {
  margin-top: 2rem;
  margin-bottom: 12rem;
  color: #000;/* add top padding so content isn’t hidden */
  padding-top: 5rem;
  padding-left: 25rem;
  padding-right: 25rem;
  padding-bottom: 15rem;
  text-align: left;
}

.wave-gif {
  width: 45px;
  vertical-align: middle;
}

.hero h2 {
  font-size: 4rem;
  text-align: left;
}

.hero p {
  font-size: 1rem;
  margin-bottom: 1rem;
  text-align: left;
}

#typewriter {
  border-right: 2px solid #000;
  padding-right: 5px;
  font-weight: 600;
  animation: blink 0.7s infinite;
}

@keyframes blink {
  0% { border-color: transparent; }
  50% { border-color: black; }
  100% { border-color: transparent; }
}


.hero .btn {
  display: inline-block;
  margin-top: 1.5rem;
  padding: 0.5rem 0.5rem;
  background: #fff;
  border: 1px solid #000;
  color: #000;
  text-decoration: none;
  border-radius: 2px;
  font-size: 1rem;
  transition: background 0.3s, color 0.3s;
}

.hero .btn:hover {
  background: #000;
  color: #fff;
}

/* Sections */
section {
  padding: 1rem 30rem;
  padding-bottom: 4rem;
}

section h2 {
  color: #000;
  margin-bottom: 2rem;
  font-size: 3rem;
  text-align: left;
}

/* Projects */
.projects-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;              /* space between items */
  justify-content: center; /* keeps them centered */
}

.project {
  max-width: 1100px;       /* consistent size */
}

.project video {
  width: 100%;
  max-width: 800px;
  height: auto;
  border-radius: 2px;
}

.custom-layout .row {
  display: flex;
  gap: 1rem;
  margin-bottom: 0rem;
}

.custom-layout .column {
  flex: 1;
}

.custom-layout .stacked .project {
  margin-bottom: 2rem;
}

.project h3 {
  margin-top: 0.5rem;
}

.project span {
  font-size: 1rem;
  opacity: 0;
  transition: opacity 0.3s ease;
  color: #000;
}

.project:hover span {
  display: block;
  opacity: 1;
}

/* Experience Section */
.experience-card {
  border: 2px solid #ddd;
  border-radius: 14px;
  padding: 1.8rem;
  background: #fff;
  max-width: 700px;

  transition: border-color 2s ease;
}

.experience-card:hover {
  border-color: #a0a0a0;
}

.experience-card h3 {
  font-size: 1.2rem;
  margin-bottom: 0.6rem;
  font-weight: 600;
}

/* Tech Tags */
.tech-tags {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  margin-bottom: 1rem;
}

.tech-tags span {
  font-size: 0.75rem;
  padding: 0.3rem 0.6rem;
  border-radius: 12px;
  background: #f3f3f3;
  border: 1px solid #ddd;
}

.experience-summary {
  font-size: 0.95rem;
  color: #000;
  line-height: 1.5;
  margin-bottom: 1rem;
}

.experience-points p {
  font-size: 0.95rem;
  margin-bottom: 0.4rem;
  color: #000;
}

.experience-card .view-btn {
  display: inline-block;
  align-items: center;
  margin-top: 1.2rem;
  padding: 0.45rem 0.9rem;
  background: #000;
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
  font-size: 0.8rem;

  transition: opacity 0.2s ease;
}

/* Tools Section */
.tools-grid {
  display: grid;
  grid-template-columns: repeat(4, minmax(50px, 1fr));
  gap: 1.5rem;
  justify-items: center;
  margin-top: 2rem;
}

.tool {
  width: 130px;
  height: 130px;
  border: 2px solid #ddd;
  border-radius: 12px;
  background: #fafafa;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  cursor: pointer;

  transition: border-color 2s ease;
}

.tool i {
  font-size: 2.7rem;
  margin-bottom: 0.5rem;
}

.tool span {
  font-size: 0.9rem;
  font-weight: 600;
  text-align: center;
}

.tool:hover {
  border-color: #a0a0a0;
}

/* Certifications */
.certifications-grid {
  display: grid;
  grid-template-columns: repeat(2, minmax(260px, 1fr));
  gap: 1.5rem;
  margin-top: 2rem;
  padding: 0;
  list-style: none;
}

.cert-card {
  border: 2px solid #ddd;
  border-radius: 14px;
  background: #fff;
  padding: 1.5rem 1rem;
  text-align: center;
  height: 210px;

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  transition: border-color 2s ease;
}

.cert-card h3 {
  font-size: 1rem;
  margin-bottom: 0.3rem;
}

.cert-card a {
  text-decoration: none;
  color: #111;
  font-weight: 600;
}

.cert-card p {
  font-size: 0.85rem;
  color: #555;
  margin: 0.5rem 0 1rem;
}

.view-btn {
  padding: 0.6rem 0.5rem;
  background: #000;
  border: 2px solid #000;
  color: #fff;
  border-radius: 4px;
  font-size: 0.8rem;
  cursor: pointer;

  transition: background 1s ease, border 1s ease;
}

.view-btn:hover {
  background: #fff;
  color: #000;
  border-color: #000;
}

.cert-card:hover {
  border-color: #a0a0a0;
}

/* Contact */
.contact-icons {
  display: flex;
  gap: 7rem;
  justify-content: center;
  margin-bottom: 2rem;
}

.contact-icons a {
  text-decoration: none;
  font-size: 3rem;
  color: #000;
  transition: transform 0.3s;
}

.contact-icons a:hover {
  transform: scale(1.2);
}

.cta {
  margin-top: 1rem;
  margin-bottom: 2rem;
}

/* Contact Form */
form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  max-width: 900px;
  margin: 0;
}

form input, form textarea {
  padding: 0.5rem;
  border: 1px solid #ccc;
  border-radius: 2px;
  font-size: 1rem;
  font-family: inherit;
}

form button {
  width: 150px;
  padding: 1rem 1rem;
  background: #fff;
  border: 1px solid #000;
  color: #000;
  text-decoration: none;
  border-radius: 2px;
  font-size: 1rem;
  transition: background 0.3s, color 0.3s;
}

form button:hover {
  color: #fff;
  background: #000;
}

/* Footer */
footer {
  font-size: 1rem;
  display: flex;
  justify-content: space-between;
  padding-left: 25rem;
  padding-right: 25rem;
  background: #fff;
  color: #000;
  text-align: center;
  padding: 1.5rem 5rem;
  margin-top: 2rem;
  border-top: 1px solid #000;
}

footer a {
  color: #000;
  text-decoration: none;
}

/* Spinner styling */
.spinner {
  width: 18px;
  height: 18px;
  border: 3px solid #fff;
  border-top-color: transparent;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
  margin-left: 10px;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

/* Status message */
.status-msg {
  margin-top: 10px;
  font-size: 0.9rem;
  font-weight: 500;
}

/* Disable button when loading */
button:disabled {
  opacity: 0.7;
  cursor: not-allowed;
}

@media (max-width: 1024px) {
  nav {
    padding: 2rem 12rem;
  }

  nav.shrink {
    padding: 2rem 16rem;
  } 

  nav h1 {
  font-size: 1.7rem;
  }

  nav ul li a {
    font-size: 0.9rem;
  }

  /* Sections */
  section {
    padding: 1rem 16rem;
    margin-bottom: 2rem;
  }

  section h2 {
    color: #000;
    font-size: 2.5rem;
  }

  /* Hero */
  .hero {
    padding-top: 8rem;
    padding-right: 12rem;
    padding-left: 12rem;
  }

  .hero h2 {
    font-size: 4rem;
  }

  .hero p {
    font-size: 1rem;
  }

  .hero .btn {
    padding: 0.5rem 0.5rem;
    font-size: 0.8rem;
  }

  .hero .btn:hover {
    background: #000;
    color: #fff;
  }

  .tool {
    width: 110px;
    height: 110px;
  }

  .tool i {
    font-size: 2.3rem;
  }

  .tool span {
    font-size: 0.7rem;
  }

  .certifications-grid {
    display: grid;
    gap: 0.9rem;
    padding: 0;
  }

  .cert-card {
    width: 250px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    transition: border-color 2s ease;
  }

  .cert-card h3 {
    font-size: 0.9rem;
    margin-bottom: 0.3rem;
  }

  .cert-card a {
    font-weight: 600;
  }

  .cert-card p {
    font-size: 0.7rem;
    color: #555;
    margin: 0.5rem 0 1rem;
  }

  .contact-icons {
    display: flex;
    gap: 4.5rem;
    justify-content: center;
    margin-bottom: 2rem;
  }

  .contact-icons a {
    font-size: 4rem;
  }  
}

@media (max-width: 786px) {
  nav {
    padding: 2rem 9rem;
  }

  nav.shrink {
    padding: 2rem 12rem;
  } 

  nav h1 {
  font-size: 1rem;
  }

  nav ul li a {
    font-size: 0.9rem;
  }

  /* Sections */
  section {
    padding: 1rem 12rem;
  }

  section h2 {
    color: #000;
    font-size: 2.5rem;
  }

  /* Hero */
  .hero {
    padding-top: 3rem;
    padding-right: 9rem;
    padding-left: 9rem;
  }

  .wave-gif {
    width: 20px;
  }

  .hero h2 {
    font-size: 3rem;
  }

  .hero p {
    font-size: 0.8rem;
  }

  .hero .btn {
    padding: 0.4rem 0.4rem;
    font-size: 0.7rem;
  }

  .hero .btn:hover {
    background: #000;
    color: #fff;
  }

  .tool {
    width: 90px;
    height: 90px;
    border-radius: 12px;
  }

  .tool i {
    font-size: 2.3rem;
  }

  .tool span {
    font-size: 0.7rem;
  }


  .certifications-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(210px, 1fr));
    gap: 1rem;
    padding: 0;
    list-style: none;
  }

  .cert-card {
    width: 210px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    transition: border-color 2s ease;
  }

  .cert-card h3 {
    font-size: 0.9rem;
    margin-bottom: 0.3rem;
  }

  .cert-card a {
    font-weight: 600;
  }

  .cert-card p {
    font-size: 0.7rem;
    color: #555;
    margin: 0.5rem 0 1rem;
  }

  .contact-icons {
    display: flex;
    gap: 4.5rem;
    justify-content: center;
    margin-bottom: 2rem;
  }

  .contact-icons a {
    font-size: 2.5rem;
  }
}

@media (max-width: 426px) {
  nav {
    padding: 1rem 3rem;
  }

  nav.shrink {
    padding: 1rem 3rem;
  }

  nav h1 {
    font-size: 1.5rem;
  }

  .nav-links {
    display: none;
  }

  /* Sections */
  section {
    padding: 1rem 3rem;
  }

  section h2 {
    color: #000;
    font-size: 2.5rem;
  }

  /* Hero */
  .hero {
    padding-top: 3rem;
    padding-right: 3rem;
    padding-left: 3rem;
  }

  .hero h1 {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
  }

  .hero h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
  }

  .hero p {
    font-size: 0.7rem;
  }

  .hero .btn {
    padding: 0.4rem 0.4rem;
    font-size: 0.7rem;
  }

  .hero .btn:hover {
    background: #000;
    color: #fff;
  }

  /* Tools Section */
  .tools-grid {
    display: grid;
    grid-template-columns: repeat(3, minmax(100px, 1fr));
    gap: 1rem;
    justify-items: center;
    margin-top: 2rem;
  }

  .tool {
    width: 100%;
    height: 100px;
    border-radius: 12px;
  }

  .tool i {
    font-size: 2.3rem;
  }

  .tool span {
    font-size: 0.7rem;
  }

  .certifications-grid {
  grid-template-columns: repeat(1, minmax(260px, 1fr));
  }

  .cert-card {
    width: 100%;
  }

  .contact-icons {
    display: flex;
    gap: 2.6rem;
    justify-content: center;
    margin-bottom: 2rem;
  }

  .contact-icons a {
    font-size: 2.3rem;
  }

  footer {
    font-size: 1rem;
    padding: 1.5rem 2.5rem;
  }
}

@media (max-width: 376px) {
  nav {
    padding: 1rem 2rem;
  }

  nav.shrink {
    padding: 1rem 2rem;
  }

  nav h1 {
    font-size: 1.2rem;
  }

  .hero {
    padding-right: 2rem;
    padding-left: 2rem;
  }

  .hero h1 {
    font-size: 1rem;
  }

   /* Tools Section */
  .tools-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(100px, 1fr));
    gap: 1rem;
    justify-items: center;
    margin-top: 2rem;
  }

  .contact-icons {
    gap: 2.5rem;
  }

  .contact-icons a {
    font-size: 2.6rem;
  }
}

@media (max-width: 376px) {
  section {
    padding: 1rem 2rem;
  }

  section h2 {
    font-size: 2rem;
  }

  .contact-icons {
    gap: 2.2rem;
  }

  .contact-icons a {
    font-size: 2.3rem;
  }

  footer {
    font-size: .9rem;
    padding: 1.5rem 2rem;
  }
}